apr-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Graham Leggett <minf...@sharp.fm>
Subject Re: berkeleydb4.3 v.s. httpd-2.0.54
Date Sun, 31 Jul 2005 19:11:52 GMT
Steve Kelem wrote:

> So, when
> I configured httpd with the following script:
> ./configure \
> --prefix=/usr/local/apache2 \
> --enable-cgi \
> --enable-dav \
> --enable-dav-fs \
> --enable-deflate \
> --enable-http \
> --enable-info \
> --enable-maintainer-mode \
> --enable-so \
> --enable-ssl \
> --enable-swig-bindings \
> *--with-berkeley-db=/usr/local/BerkeleyDB.4.3 \
> *
> That last line wasn't enough to tell it where the libraries are?

Unfortunately not. Interpreting the --with-berkeley-db to point out the 
  library as well as the include files would potentially work for the 
compile, but the code would then refuse to run unless LD_LIBRARY_PATH 
was configured correctly to help the httpd binary find the library it needs.

Library finding is different on each platform, which is probably why 
this is not documented in the httpd compile docs. It is very frustrating 
though to be in the position where it should work and just doesn't, so I 
agree, it should be in an FAQ somewhere.

Regards,
Graham
--

Mime
View raw message